summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xreenable_xhci_hcd12
1 files changed, 12 insertions, 0 deletions
diff --git a/reenable_xhci_hcd b/reenable_xhci_hcd
new file mode 100755
index 0000000..e0e1c6f
--- /dev/null
+++ b/reenable_xhci_hcd
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+if [ $(id -u) -ne 0 ]; then
+ echo "You need to be root to execute this script"
+ exit 1
+fi
+
+modprobe -r xhci_pci
+modprobe -r xhci_hcd
+modprobe xhci_hcd
+modprobe xhci_pci